function myMap(arr, f) {
  let result = [];
  for (let item of arr) {
    result.push(f(item));
  }
  return result;
}
console.log(myMap([1, 2, 3, 4], (x) => x / 2));

function myFilter(arr, f) {
  let result = [];
  for (let item of arr) {
    if (f(item)) {
      result.push(item);
    }
  }
  return result;
}

console.log(myFilter([1, 2, 3, 4, 5], (x) => x % 2));
